%bcond_with bootstrap

Summary:        Library of assertions similar to fest-assert
Name:           assertj-core
Version:        3.23.1
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://joel-costigliola.github.io/assertj/
Source0:        https://github.com/joel-costigliola/assertj-core/archive/assertj-core-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.bytebuddy:byte-buddy)
BuildRequires:  mvn(org.hamcrest:hamcrest)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.opentest4j:opentest4j)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
A rich and intuitive set of strongly-typed assertions to use for unit testing
(either with JUnit or TestNG).

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides API documentation for %{name}.



%prep
%setup -q -n assertj-assertj-core-%{version}

%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.assertj</groupId>"

%pom_remove_plugin :maven-invoker-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :yuicompressor-maven-plugin
%pom_remove_plugin :bnd-maven-plugin
%pom_remove_plugin :bnd-resolver-maven-plugin
%pom_remove_plugin :bnd-testing-maven-plugin

rm -rf ./src/test/java/org/assertj/core/error/ShouldContainString_create_Test.java

rm -r src/test/java/org/assertj/core/internal/{Paths*.java,paths}

%pom_xpath_remove 'pom:plugin/pom:executions/pom:execution[pom:id="jdk9"]'



%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8



%install
%mvn_install



%files -f .mfiles
%license LICENSE.txt
%doc README.md CONTRIBUTING.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt
%doc CONTRIBUTING.md



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.23.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.23.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.23.1-3
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.23.1-2
- rebuilding

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.23.1-1
- initial